package com.infoepoch.pms.agent.platform.chat.domain.irepository;

import com.infoepoch.pms.agent.platform.chat.domain.Conversation;
import java.util.List;

/**
 * @author jiangyz
 * @date 2026/4/17 20:25
 * 对话记录表仓储接口
 */
public interface IConversationRepository {
    /**
     * 新增
     * @param: [entity]
     */
    boolean insert(Conversation entity);

    /**
     * 更新
     * @param: [entity]
     */
    boolean update(Conversation entity);

    /**
     * 批量新增
     * @param: [entitys]
     */
    int[] batchInsert(List<Conversation> entitys);

    /**
     * 批量更新
     * @param: [entitys]
     */
    int[] batchUpdate(List<Conversation> entitys);

    /**
     * 删除
     * @param: [id]
     */
    boolean delete(String id);

    // region select

    /**
     * 根据Id查询
     * @param: [id]
     */
    Conversation selectById(String id);

    /**
     * 根据查询条件查询单个对象
     * @param: [criteria]
     */
    Conversation selectOneByCriteria(ConversationCriteria criteria);

    /**
     * 根据查询条件查询对象集合
     * @param: [criteria]
     */
    List<Conversation> selectByCriteria(ConversationCriteria criteria);

    /**
     * 根据查询条件分页查询对象结合
     * @param: [criteria, pageNum, pageSize]
     */
    List<Conversation> selectCriteriaByPage(ConversationCriteria criteria, int pageNum, int pageSize);

    /**
     * 根据条件查询对象总记录数
     * @param: [criteria]
     */
    Integer selectCountByCriteria(ConversationCriteria criteria);

    // endregion

}
